## django-recurrence 1.5.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-recurrence.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-recurrence.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-recurrence"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-recurrence"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-recurrence 1.2.0

=== debian/changelog ===
django-recurrence (1.2.0-2) unstable; urgency=medium

  * Disable tests because they are not yet included in upstream tarball
    (Closes: #815392).
  * Initialize git-dpm.
  * Clean up django_recurrence.egg-info/SOURCES.txt to allow two builds in a
    row.
  * Rebuild translation catalogs from source using babel.
  * Bump Standards-Version to 3.9.7.
  * Use https in Vcs-Git field.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Mar 2016 21:27:30 +0100

django-recurrence (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #795200).

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Aug 2015 12:31:01 +0200

=== debian/control ===
Source: django-recurrence
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-babel,
               python-dateutil,
               python-django,
               python-pytest,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-tz,
               python3-all,
               python3-dateutil,
               python3-django,
               python3-pytest,
               python3-setuptools,
               python3-tz
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-recurrence.git
Vcs-Git: https://anonscm.debian.org/python-modules/packages/django-recurrence.git
Homepage: https://github.com/django-recurrence/django-recurrence
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-django-recurrence
Architecture: all
Depends: python-dateutil,
         python-django,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Description: Django utility wrapping dateutil.rrule
 django-recurrence is a utility for working with recurring dates in Django.
 .
 It provides:
  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
    for specifying recurring date/times
  * RecurrenceField for storing recurring datetimes in the database
  * a JavaScript widget

Package: python3-django-recurrence
Architecture: all
Depends: python3-dateutil,
         python3-django,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Description: Django utility wrapping dateutil.rrule (Python3 version)
 django-recurrence is a utility for working with recurring dates in Django.
 .
 It provides:
  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
    for specifying recurring date/times
  * RecurrenceField for storing recurring datetimes in the database
  * a JavaScript widget
 .
 This package contains the Python 3 version of the library.

Package: python-django-recurrence-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Django utility wrapping dateutil.rrule (documentation)
 django-recurrence is a utility for working with recurring dates in Django.
 .
 It provides:
  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
    for specifying recurring date/times
  * RecurrenceField for storing recurring datetimes in the database
  * a JavaScript widget
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-recurrence
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for loc in recurrence/locale/*; do \
		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain django; \
	done
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_compress:
	dh_compress -X changelog.html

## django-recurrence 1.3.0

=== debian/changelog ===
django-recurrence (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Added upstream fix for Django 1.10 (Closes: #828655):
    - 0002-Fixes-for-Django-1.10.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 10:53:25 +0000

django-recurrence (1.3.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Switch to python3-sphinx and drop versioned Build-Depends.
  * Add patch to fix exception handling during sphinx build with python3.
  * Replace python(3)-pytest with python(3)-pytest-django in Build-
    Depends.
  * Allow pybuild to run tests again.
  * Override dh_auto_test to set PYTHONPATH environment.
  * Rebuild djangojs domain translation from source.
  * Clean djangojs.mo files to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Tue, 03 May 2016 20:33:00 +0200

## django-recurrence 1.4.1

=== debian/changelog ===
django-recurrence (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Jan 2017 11:34:10 +0100

django-recurrence (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Cherry-pick patch for broken django.po file from upstream.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 19 Oct 2016 14:02:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
                python-babel,
                python-dateutil,
                python-django,
-               python-pytest,
+               python-pytest-django,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python-tz,
                python3-all,
                python3-dateutil,
                python3-django,
-               python3-pytest,
+               python3-pytest-django,
                python3-setuptools,
+               python3-sphinx,
                python3-tz
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-recurrence.git
-Vcs-Git: https://anonscm.debian.org/python-modules/packages/django-recurrence.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-recurrence/django-recurrence-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-recurrence 1.5.0

=== debian/changelog ===
django-recurrence (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Refresh patches for 1.5.0.
  * Bump Standards-Version to 4.1.1.
  * Squash and extend patches to fix Language properties in .po files.
  * Use https:// for uscan URL.

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Oct 2017 09:08:38 +0100

django-recurrence (1.4.1-2) unstable; urgency=low

  * Add patch to fix values for Language field in translations (Closes:
    #865939).
  * Clean up django_recurrence.egg-info/requires.txt.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Jul 2017 14:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-tz
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-recurrence.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-recurrence
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -13,6 +12,7 @@
 	set -e; \
 	for loc in recurrence/locale/*; do \
 		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain django; \
+		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain djangojs; \
 	done
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
@@ -23,3 +23,6 @@
 
 override_dh_compress:
 	dh_compress -X changelog.html
+
+override_dh_auto_test:
+	PYTHONPATH=. dh_auto_test

## django-recurrence 1.6.0

=== debian/changelog ===
django-recurrence (1.6.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Jun 2018 17:39:22 +0200

=== debian/control ===
Source: django-recurrence
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-babel,
 python-dateutil,
 python-django,
 python-pytest-django,
 python-setuptools,
 python-tz,
 python3-all,
 python3-dateutil,
 python3-django,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-tz,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-recurrence
Vcs-Git: https://salsa.debian.org/python-team/modules/django-recurrence.git
Homepage: https://github.com/django-recurrence/django-recurrence
Testsuite: autopkgtest-pkg-python

Package: python-django-recurrence
Architecture: all
Depends:
 python-dateutil,
 python-django,
 python-tz,
 ${misc:Depends},
 ${python:Depends},
Description: Django utility wrapping dateutil.rrule
 django-recurrence is a utility for working with recurring dates in Django.
 .
 It provides:
  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
    for specifying recurring date/times
  * RecurrenceField for storing recurring datetimes in the database
  * a JavaScript widget

Package: python-django-recurrence-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django utility wrapping dateutil.rrule (documentation)
 django-recurrence is a utility for working with recurring dates in Django.
 .
 It provides:
  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
    for specifying recurring date/times
  * RecurrenceField for storing recurring datetimes in the database
  * a JavaScript widget
 .
 This package contains the documentation.

Package: python3-django-recurrence
Architecture: all
Depends:
 python3-dateutil,
 python3-django,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Django utility wrapping dateutil.rrule (Python3 version)
 django-recurrence is a utility for working with recurring dates in Django.
 .
 It provides:
  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
    for specifying recurring date/times
  * RecurrenceField for storing recurring datetimes in the database
  * a JavaScript widget
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-recurrence
 
@@ -14,8 +16,13 @@
 		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain django; \
 		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain djangojs; \
 	done
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-django-recurrence-doc/usr/share/doc/python-django-recurrence-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_clean:
 	rm -rf docs/.build

## django-recurrence 1.7.0

=== debian/changelog ===
django-recurrence (1.7.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Clean up .pytest_cache/v/cache/nodeids to allow two builds in a row.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Oct 2018 08:52:19 +0200

## django-recurrence 1.8.2

=== debian/changelog ===
django-recurrence (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Clean up files in .pytest_cache/ to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 30 Nov 2018 11:49:06 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-recurrence
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-django-recurrence-doc/usr/share/doc/python-django-recurrence-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-recurrence-doc/usr/share/doc/python-django-recurrence-doc/html
 	dh_sphinxdoc
 endif

## django-recurrence 1.10.0

=== debian/changelog ===
django-recurrence (1.10.0-2) unstable; urgency=medium

  * Team upload.
  * Set the minimal version for the python3-pytest-django B-D to 3.5.1.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 22:10:13 +0500

django-recurrence (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 15:24:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,44 +5,20 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-babel,
- python-dateutil,
- python-django,
- python-pytest-django,
- python-setuptools,
- python-tz,
  python3-all,
  python3-dateutil,
  python3-django,
- python3-pytest-django,
+ python3-pytest-django (>= 3.5.1),
  python3-setuptools,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-recurrence
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-recurrence
-Architecture: all
-Depends:
- python-dateutil,
- python-django,
- python-tz,
- ${misc:Depends},
- ${python:Depends},
-Description: Django utility wrapping dateutil.rrule
- django-recurrence is a utility for working with recurring dates in Django.
- .
- It provides:
-  * Recurrence/Rule objects using a subset of rfc2445 (wraps dateutil.rrule)
-    for specifying recurring date/times
-  * RecurrenceField for storing recurring datetimes in the database
-  * a JavaScript widget
 
 Package: python-django-recurrence-doc
 Architecture: all

## django-recurrence 1.10.2

=== debian/changelog ===
django-recurrence (1.10.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Set Rules-Requires-Root: no.
  * Tell autodep8 to use the correct import name.

 -- Michael Fladischer <fladi@debian.org>  Sun, 15 Mar 2020 21:34:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
  python3-setuptools,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-recurrence
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-recurrence-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,13 @@
 export PYBUILD_NAME=django-recurrence
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	set -e; \
 	for loc in recurrence/locale/*; do \
-		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain django; \
-		python setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain djangojs; \
+		python3 setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain django; \
+		python3 setup.py compile_catalog --directory recurrence/locale/ --locale $$(basename $$loc) --domain djangojs; \
 	done
 	dh_auto_build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-recurrence/django-recurrence-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-recurrence 1.10.3

=== debian/changelog ===
django-recurrence (1.10.3-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jun 2020 19:22:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-dateutil,

## django-recurrence 1.11.1

=== Makefile ===
coverage:
	pytest

test:
	pytest

testall:
	tox

build: clean
	python setup.py sdist bdist_wheel

clean:
	rm -rf dist/*
	rm -rf build/*

push: build
	git push

release: push
	twine upload -r pypi dist/*

.PHONY: coverage test testall build clean push

=== requirements.txt ===
flake8==4.0.1
pytest-cov==3.0.0
pytest-django==4.5.2
pytest-sugar==0.9.4
pytest==6.2.5
sphinx==4.3.2
sphinx_rtd_theme==1.0.0
tox==3.24.5

=== debian/changelog ===
django-recurrence (1.11.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Use uscan version 4.
  * Use pytest to run upstream tests.
  * Add python3-setuptools-scm to Build-Depends as upstream now uses it
    in setup.py.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.
  * Bump Standards-Version to 4.6.0.1.
  * Update year in d/copyright.
  * Add d/upstream/metadata.

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Jan 2022 08:25:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: django-recurrence
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Section: python
@@ -10,15 +10,17 @@
  python3-all,
  python3-dateutil,
  python3-django,
+ python3-pytest,
+ python3-pytest-cov,
  python3-pytest-django (>= 3.5.1),
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-recurrence
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-recurrence.git
+Standards-Version: 4.6.0.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-recurrence
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python-django-recurrence-doc

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-recurrence
+export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage {build_dir}/coverage.xml
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -30,6 +31,3 @@
 
 override_dh_compress:
 	dh_compress -X changelog.html
-
-override_dh_auto_test:
-	PYTHONPATH=. dh_auto_test

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-recurrence/django-recurrence-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-recurrence 1.12

=== debian/changelog ===
django-recurrence (1.12-2) unstable; urgency=low

  * Add patch to remove development dependencies from pyproject.toml.
  * Remove python3-tz from manual dependencies.

 -- Michael Fladischer <fladi@debian.org>  Fri, 06 Sep 2024 19:31:33 +0000

django-recurrence (1.12-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.

  [ Michael Fladischer ]
  * Use github instead of pypi for new releases.
  * New upstream version 1.12
  * Refresh patches.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.
  * Use babel.messages.frontend to compile translations.
  * Simplify d/rules by using execute_ targets instead of overrides.
  * Replace python3-setuptools and python3-setuptools-scm with
    python3-pdm-backend.
  * Clean up pdb build artefacts to enable two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 06 Sep 2024 19:16:06 +0000

## django-recurrence 1.12.1

=== debian/changelog ===
django-recurrence (1.12.1-1) unstable; urgency=low

  * New upstream version 1.12.1
  * Refresh patches.
  * Use wildcards instead of hardcoded version strings when removing dist-info
    files.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Oct 2024 19:50:31 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
  python3-django,
+ python3-pdm-backend,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-django (>= 3.5.1),
- python3-setuptools,
- python3-setuptools-scm,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-recurrence
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence
@@ -29,6 +29,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Django utility wrapping dateutil.rrule (documentation)
  django-recurrence is a utility for working with recurring dates in Django.
  .
@@ -45,7 +46,6 @@
 Depends:
  python3-dateutil,
  python3-django,
- python3-tz,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django utility wrapping dateutil.rrule (Python3 version)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-recurrence
export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage {build_dir}/coverage.xml

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	set -e; \
	for loc in recurrence/locale/*; do \
		python3 -m babel.messages.frontend compile --directory=$(CURDIR)/recurrence/locale/ --locale=$$(basename $$loc) --domain=django; \
		python3 -m babel.messages.frontend compile --directory=$(CURDIR)/recurrence/locale/ --locale=$$(basename $$loc) --domain=djangojs; \
	done

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-recurrence-doc/usr/share/doc/python-django-recurrence-doc/html
endif

execute_before_dh_clean:
	rm -rf docs/.build

override_dh_compress:
	dh_compress -X changelog.html

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/django-recurrence-$1/ \
https://github.com/jazzband/django-recurrence/tags \
/jazzband/django-recurrence/archive/refs/tags/([\d\.]+)\.tar\.gz

## django-recurrence 1.14

=== debian/changelog ===
django-recurrence (1.14-1) unstable; urgency=low

  * New upstream version 1.14
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Add python3-pytest-sugar to Build-Depends, required by tests.
  * Clean up pdm build artefacts to enable two builds in a row.
  * Use uscan version 5.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Jan 2026 17:39:47 +0000

django-recurrence (1.12.1-2) unstable; urgency=medium

  * Team Upload
  * Drop unneeded python3-tz dependency
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Dec 2025 20:56:59 +0100

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,12 @@
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-django (>= 3.5.1),
+ python3-pytest-sugar,
  python3-sphinx,
- python3-tz,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-recurrence
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-recurrence.git
 Homepage: https://github.com/django-recurrence/django-recurrence
-Rules-Requires-Root: no
 
 Package: python-django-recurrence-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage {build_dir}/coverage.xml
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_before_dh_auto_build:
 	set -e; \

=== debian/watch ===
version=5
opts=filenamemangle=s/.*\/([\d\.]+.*)$/django-recurrence-$1/ \
https://github.com/jazzband/django-recurrence/tags \
/jazzband/django-recurrence/archive/refs/tags/([\d\.]+)\.tar\.gz
